Subject: Re: bug#17501: ARM cast-align Error

From: Paul Eggert <[email-masked]>
Date: Thu, 15 May 2014 19:32:22 -0700

Nathan wrote:
> What I ended up doing was just sed-ing configure to wipe out Wcast-align.

Quite possibly you have another configuration problem lurking in there 
somewhere, I'm afraid.  'configure' is supposed to put -Wcast-align into 
CFLAGS only if you specify the --enable-gcc-warnings option, and you 
didn't do that, so I suggest getting to the bottom of why -Wcast-align 
was used.  My guess is that you have some global options set somewhere 
with --enable-gcc-warnings, and they may be messing up other things. 
But it's just a guess.